@mixin make-bg-repeat($s) {
    #{$s}bg-{
        &repeat{
            background-repeat: repeat;
            &-y{
                background-repeat: repeat-y;
            }
            &-x{
                background-repeat: repeat-x;
            }
            &-round{
                background-repeat: round;
            }
            &-space{
                background-repeat: space;
            }
        }
        &no-repeat{
            background-repeat: no-repeat;
        }
    }
}